System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags

A value can be provided as a parameter to the following members of the class:

The class constructor.

The method.

The method.

The method.

The method.

The and methods.

A value can also be supplied as a parameter to the constructor, or it can be assigned directly to the property. The resulting object is then used in the call to the method.

Several options provided by members of the enumeration (in particular, by its , , , and members) can instead be provided by using an inline option character in the regular expression pattern. For details, see Regular Expression Options.

Provides enumerated values to use to set regular expression options.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexOptions To be added

  Specifies that the regular expression is compiled to an assembly. This yields faster execution but increases startup time. This value should not be assigned to the property when calling the method.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexOptions To be added

  Specifies that cultural differences in language is ignored. See Regular Expression Options for more information.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexOptions To be added

  Enables ECMAScript-compliant behavior for the expression. This value can be used only in conjunction with the , , and values. The use of this value with any other values results in an exception.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexOptions To be added

  Specifies that the only valid captures are explicitly named or numbered groups of the form (?<name>…). This allows unnamed parentheses to act as noncapturing groups without the syntactic clumsiness of the expression (?:…).

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexOptions To be added

  Specifies case-insensitive matching.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexOptions To be added

  Eliminates unescaped white space from the pattern and enables comments marked with #. However, the value does not affect or eliminate white space in character classes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexOptions To be added

  Multiline mode. Changes the meaning of ^ and $ so they match at the beginning and end, respectively, of any line, and not just the beginning and end of the entire string.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexOptions To be added

  Specifies that no options are set.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexOptions To be added

  Specifies that the search will be from right to left instead of from left to right.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexOptions To be added

  Specifies single-line mode. Changes the meaning of the dot (.) so it matches every character (instead of every character except \n).